<?php 
/*
Plugin Name: MyPiwiShop
Version: auto
Description: a litle shop for your piwigo.
Plugin URI: auto
Author: Miklfe/Harry
Author URI: http://piwitheme.fr
*/



defined('PHPWG_ROOT_PATH') or die('Hacking attempt!');

global $prefixeTable, $template, $conf;


// +-----------------------------------------------------------------------+
// | Define plugin constants                                               |
// +-----------------------------------------------------------------------+
define('MPS_ID',      		 	basename(dirname(__FILE__)));
define('MPS_PATH' ,   		 	PHPWG_PLUGINS_PATH . MPS_ID . '/');
define('MPS_PRODUCT_TABLE',  	$prefixeTable . 'mps_product');
define('MPS_PROD_IMG_TABLE', 	$prefixeTable . 'mps_prod_img');
define('MPS_PROD_OPT_TABLE', 	$prefixeTable . 'mps_prod_opt');
define('MPS_CONF_TABLE', 	 	$prefixeTable . 'mps_conf');
define('MPS_OPTION_TABLE', 	 	$prefixeTable . 'mps_option');
define('MPS_OPT_VAL_TABLE', 	$prefixeTable . 'mps_opt_val');
define('MPS_ADMIN',    		 	get_root_url() . 'admin.php?page=plugin-' . MPS_ID);
define('MPS_PUBLIC',         	get_absolute_root_url() . make_index_url(array('section' => 'MyPiwiShop')) . '/');
define('MPS_DIR',            	PHPWG_ROOT_PATH . PWG_LOCAL_DIR . 'MyPiwiShop/');
define('MPS_VERSION',        	'auto');


// init the plugin
add_event_handler('init', 'mps_init');

if (defined('IN_ADMIN'))
{
  include_once(MPS_PATH . 'include/admin_events.inc.php');
  
  // admin plugins menu link
  add_event_handler('get_admin_plugin_menu_links', 'mps_admin_plugin_menu_links');
  
  
  // new action in Batch Manager
  add_event_handler('loc_end_element_set_global', 'mps_loc_end_element_set_global');
  add_event_handler('element_set_global_action', 'mps_element_set_global_action', EVENT_HANDLER_PRIORITY_NEUTRAL, 2);
  add_event_handler('loc_end_element_set_unit', 'mps_loc_end_element_set_unit');

}
else
{
  // file containing all public handlers functions
  include_once(MPS_PATH . 'include/public_events.inc.php');
  
  // add button on album and photos pages
  add_event_handler('loc_end_index', 'mps_add_button');
  add_event_handler('loc_end_picture', 'mps_add_button');
  
  // form on photo page
  add_event_handler('loc_end_picture', 'mps_prepar_tpl');
  add_event_handler('loc_end_picture', 'mps_loc_end_picture');
}

// files containing specific plugin functions
include_once(MPS_PATH . 'include/functions.inc.php');

/**
 * plugin initialization
 */
function mps_init()
{
  global $conf, $template;
  
  // apply upgrade if needed
  include_once(MPS_PATH . 'maintain.inc.php');
  $maintain = new mps_maintain(MPS_ID);
  $maintain->autoUpdate(MPS_VERSION, 'install');
 
 
  // load plugin language file
  load_language('plugin.lang', MPS_PATH);
  
  // prepare plugin configuration
  $query='SELECT * FROM '.MPS_CONF_TABLE.';';
  $result 	= pwg_query($query);
  while($row = pwg_db_fetch_assoc($result)){
   $config = $row ;
  }
  
  $template->assign(array(
  'mps_conf' => $config
  ));  

}


  
  
  
  
  
  
  
  