(function($) {
	$(document).ready(function(){
		if($('#prod_sel').length){
			var	$Sel = $('#prod-ch select#prod_sel option:selected').attr('value');
		}else{
			var	$Sel = $('#prod-ch input#prod_inp').attr('value');
		};
		rempopt($Sel);
	
	
		$(document).on('change','#prod_sel',function(){	
			$('#options_prod').children('div').remove();
			if($('#prod_sel').length){
				var	$Sel = $('#prod-ch select#prod_sel option:selected').attr('value');
			}else{
				var	$Sel = $('#prod-ch input#prod_inp').attr('value');
			}
			rempopt($Sel);
		});
		
		
		function rempopt($Sel){
			var $prod 	= $('#panier').data('prod'),
				$r		= 1;
				
			if (typeof $prod[$Sel] != "undefined") {
				var $option	= $prod[$Sel].options;	
				$('#options_prod').show();
				$.each($option,function(i, ele){
					var $optName  = (ele.name),
						$optType  = (ele.type),
						$optRequi = (ele.requi),
						$optVal	  = (ele.values);
					if($optRequi==1){
						var $requi = '*',
							$req   = 'requi';
						$('#requi').show();
					}else{
						var $requi ='',
							$req   ='';
					};
						
					switch($optType){
					case 'radio':
						var $optele = ($('<div />').addClass('inp').css('display','inline').append($('<input>').attr({'type':'hidden','value':$optName,'name':'on'+$r})));
						$.each($optVal,function(e, ele){
							var $i = ele.replace(/ /g,"");
							$optele.append($('<input>').attr({'id':'val'+$i,'name':'os'+$r,'type':'radio','value':ele})).append($('<label />').text(ele).attr('for','val'+$i))
						});
					break;
					case 'checkbox':
						var $optele = ($('<div />').addClass('inp'));
						$.each($optVal,function(e, ele){
							var $i = ele.replace(/ /g,"");
							$optele.append($('<input>').attr({'class':$optName,'id':'val'+$i,'name':'os'+$r,'type':'checkbox','value':ele})).append($('<label />').text(ele).attr('for','val'+$i)).append($('<br>'));
							$r++
						});
					break;			
					case 'select':
						var $optele =($('<div />').addClass('styled').append($('<select />').attr({'name':'os'+$r,'id' :'opt_select'})).append($('<input>').attr({'type':'hidden','value':$optName,'name':'on'+$r})));
						$.each($optVal,function(i, ele){
							$('#opt_select', $optele).append($('<option />').attr('value',ele).text(ele));
						});
					break;	
					case 'text':
						var $optele = ($('<div />').addClass('inp').css('display','inline').append($('<input>').attr({'type':'text','name':'os'+$r})).append($('<input>').attr({'type':'hidden','value':$optName,'name':'on'+$r})));
					break;	
					case 'textarea':
						var $optele = ($('<div />').addClass('inp').css('display','inline').append($('<textarea />').attr({'cols':'50','rows':'4','name':'os'+$r})).append($('<input>').attr({'type':'hidden','value':$optName,'name':'on'+$r})));
					break;	
					}
					
					$('#options_prod').append($('<div />').addClass('blockOpt '+ $optType +' '+ $req).append($('<div />').css('display','inline-block').text($optName + ' ' + $requi)).append($optele));
	
					$r++
				});
			}else{
				$('#options_prod').hide();
			}
	
	} 
		
		$(document).on('change','.checkbox input[type=checkbox]', function () {
			var $on  	 = $(this).attr('name').substring(2),
				$optName = $(this).attr('class');
				
			if($(this).is(':checked')){
			 $('.checkbox').append($('<input>').attr({'type':'hidden','value':$optName,'name':'on'+$on}));
			}else{
				$('input[name=on'+$on+']').remove();
			}
		});
		
		$(document).on('submit','#buyprod', function(){
			var $return = true;
			$('.requi').each(function(){
				var $this = $(this);

				if ( ($this.hasClass('text') && $.trim($('.inp input[type="text"]',this).val()).length==0) 
				|| ($this.hasClass('textarea') && $.trim($('.inp textarea',this).val()).length==0) 
				|| ($this.hasClass('radio') && $('.inp input[type="radio"]:checked',this).length==0)
				|| ($this.hasClass('checkbox') && $('.inp input[type="checkbox"]:checked',this).length==0)
				){
					$this.css({borderColor:'red'});
					$('.errors').fadeIn();
					setTimeout(function(){
						$('.errors').fadeOut();
						$this.css({borderColor:'transparent'})
					},3000);

					$return = false;
				}				
			})
			return $return;
		})
	});
})(jQuery);
